Skip to main content
POST
Render one listing image

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

Optional caller-generated value that prevents duplicate generation when retrying the same request.

Required string length: 1 - 255

Path Parameters

idea_id
string<uuid>
required

Body

application/json
summary
string
Required string length: 1 - 2000
max_credits
integer
Required range: x >= 1

Response

Image accepted. Returns the idea.

id
string<uuid>
required
product_id
string<uuid>
required
marketplace
string
required
position
integer
required

0 is the main image; 1 to 8 are variants.

slot_type
enum<string>
required
Available options:
main,
variant
title
string
required
Example:

"MAIN IMG"

summary
string
required

The direction the image is rendered from.

creative_id
string<uuid> | null
required

The slot's current image, once one has been started.

status
enum<string>
required

idea until an image is started.

Available options:
idea,
queued,
in_progress,
completed,
failed,
canceled
image_url
string<uri> | null
required
updated_at
string<date-time>
required
Last modified on September 30, 2026